## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemExtensionCall Class Reference

Inheritance diagram for ElemExtensionCall:

[legend]
Collaboration diagram for ElemExtensionCall:

[legend]
List of all members.

## Public Member Functions

- ElemExtensionCall (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber, ExtensionNSHandler &ns)
    Construct an object corresponding to calling an XSL extension.
- virtual const ElemTemplateElement * startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e.
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e.
- virtual bool executeChildElement (StylesheetExecutionContext &executionContext, const ElemTemplateElement *element) const
    Filters sub-elements that should be executed.
- bool elementAvailable (StylesheetExecutionContext &executionContext) const

## Static Public Member Functions

- ElemExtensionCall * create (MemoryManagerType &theManager, StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const XalanDOMChar *name, const AttributeListType &atts, int lineNumber, int columnNumber, ExtensionNSHandler &ns)

## Constructor & Destructor Documentation

ElemExtensionCall::ElemExtensionCall | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const XalanDOMChar * | name,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber,
|  | ExtensionNSHandler & | ns
| ) |

  | Construct an object corresponding to calling an XSL extension. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
  ns | handler for the extension

## Member Function Documentation

ElemExtensionCall* ElemExtensionCall::create | ( | MemoryManagerType & | theManager,
|  | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const XalanDOMChar * | name,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber,
|  | ExtensionNSHandler & | ns
| ) | `[static]`

bool ElemExtensionCall::elementAvailable | ( | StylesheetExecutionContext & | executionContext | ) | const

virtual void ElemExtensionCall::endElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

  | Completes "post-processing" afer any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it does nothing Parameters:
  executionContext | context to execute this element
Reimplemented from ElemLiteralResult.

virtual bool ElemExtensionCall::executeChildElement | ( | StylesheetExecutionContext & | executionContext,
|  | const ElemTemplateElement * | element
| ) | const`[virtual]`

  | Filters sub-elements that should be executed. Parameters:
  executionContext | context to execute element
  element | the element to be executed
Returns: true if element should be executed, false otherwise Reimplemented from ElemTemplateElement.

virtual const ElemTemplateElement* ElemExtensionCall::startElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemLiteralResult.

The documentation for this class was generated from the following file:

- ElemExtensionCall.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.